##### 7.7.8.0. lst2str

Procedure from library `freegb.lib` (see freegb_lib).

Usage:
  lst2str(L[,n]); L a list of modules, n an optional integer

Return:
  list (of strings)

Purpose:
  convert a list (of modules) into polynomials in free algebra

Note:
  if an optional integer is not 0, stars signs are used in multiplication

Example:

    LIB "freegb.lib";
    ring r = 0,(x,y,z),(dp(1),dp(2));
    module M = [-1,x,y],[-7,y,y],[3,x,x];
    module N = [1,x,y,x,y],[-2,y,x,y,x],[6,x,y,y,x,y];
    list L; L[1] = M; L[2] = N;
    lst2str(L);
    ==> [1]:
    ==>    -xy-7yy+3xx
    ==> [2]:
    ==>    xyxy-2yxyx+6xyyxy
    lst2str(L[1],1);
    ==> [1]:
    ==>    -x*y-7*y*y+3*x*x

User manual for Singular version 4-0-3, 2016, generated by texi2html.